<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="fert_materialliste" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="42" bottomMargin="20" isSummaryWithPageHeaderAndFooter="true" uuid="d02d0b24-9bab-4668-b6ad-47b037fd4306">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.652892561983471"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="P_LOSNUMMER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Losnummer]]></parameterDescription>
	</parameter>
	<parameter name="P_KOSTENSTELLENUMMER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Kostenstelle-Nr.]]></parameterDescription>
	</parameter>
	<parameter name="P_ANGELEGT" class="java.util.Date" isForPrompting="false">
		<parameterDescription><![CDATA[Angelegt am]]></parameterDescription>
	</parameter>
	<parameter name="P_KUNDE" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Kurzzzeichen des Kunden]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAGNUMMER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragsnummer]]></parameterDescription>
	</parameter>
	<parameter name="P_PRODUKTIONSBEGINN" class="java.util.Date" isForPrompting="false">
		<parameterDescription><![CDATA[Produktionsbeginns-Datum]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTENUMMER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Nummer]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTEBEZEICHNUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Bezeichnung]]></parameterDescription>
	</parameter>
	<parameter name="P_LOSGROESSE" class="java.math.BigDecimal" isForPrompting="false">
		<parameterDescription><![CDATA[Losgroesse]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERTERMIN" class="java.sql.Timestamp" isForPrompting="false">
		<parameterDescription><![CDATA[Liefertermin]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTEZUSATZBEZEICHNUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: 1. Zusatzbezeichnung]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAG_INTERNERKOMMENTAR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Internes Kommentar des Auftrages]]></parameterDescription>
	</parameter>
	<parameter name="P_BILD" class="java.lang.Object" isForPrompting="false">
		<parameterDescription><![CDATA[Bild]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTEARTIKELKOMMENTAR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Kommentar des Artikels]]></parameterDescription>
	</parameter>
	<parameter name="P_PROJEKT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Projektbezeichnung]]></parameterDescription>
	</parameter>
	<parameter name="P_LOSKOMMENTAR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Loskommentar]]></parameterDescription>
	</parameter>
	<parameter name="P_LOSLANGTEXT" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Los: Langer Text]]></parameterDescription>
	</parameter>
	<parameter name="P_PRODUKTIONSENDE" class="java.util.Date" isForPrompting="false">
		<parameterDescription><![CDATA[Produktionsende-Datum]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTEZUSATZBEZEICHNUNG2" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: 2. Zusatzbezeichnung]]></parameterDescription>
	</parameter>
	<parameter name="P_EIGENSCHAFTEN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Eigenschaften]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_GEWICHTKG" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Gewicht in kg]]></parameterDescription>
	</parameter>
	<parameter name="P_LIEFERART" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Lieferart]]></parameterDescription>
	</parameter>
	<parameter name="P_PRODUKTIONSENDE_KW" class="java.lang.Integer" isForPrompting="false">
		<parameterDescription><![CDATA[Produktionsende: Kalenderwoche]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAG_KUNDE_ABTEILUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FERTIGUNGSGRUPPE" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Fertigungsgruppe]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTENEIGENSCHAFT_MATERIALPLATZ" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stuecklisteneigenschaft: Materialplatz]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTENEIGENSCHAFT_INDEX" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stuecklisteneigenschaft: Index]]></parameterDescription>
	</parameter>
	<parameter name="P_SPEDITEUR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Spediteur]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_BAUFORM" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Bauform]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_VERPACKUNGSART" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Verpackungsart]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_BREITETEXT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_STUECKLISTE_BREITE" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Breite]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_HOEHE" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Hoehe]]></parameterDescription>
	</parameter>
	<parameter name="P_STUECKLISTE_TIEFE" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Stueckliste: Tiefe]]></parameterDescription>
	</parameter>
	<parameter name="P_POENALE" class="java.lang.Boolean" isForPrompting="false">
		<parameterDescription><![CDATA[Poenale]]></parameterDescription>
	</parameter>
	<parameter name="P_ROHS" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_MENGENEINHEIT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_STUECKLISTEREFERENZNUMMER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_STUECKLISTEKURZBEZEICHNUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_LIEFERADRESSE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FERTIGUNGSORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ERSTLOS" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_STUECKLISTESPERRSTATUS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_INDEX" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_REVISION" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_NUR_SELEKTIERTE_POSITIONEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_SUBREPORT_ABBUCHUNGSLAEGER" class="java.lang.Object" isForPrompting="false"/>
	<parameter name="P_ABGELIEFERTEMENGE" class="java.math.BigDecimal"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<field name="F_ART" class="java.lang.String"/>
	<field name="F_ARTIKELNUMMER" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_BEZEICHNUNG" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_ZUSATZBEZEICHNUNG" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_ZUSATZBEZEICHNUNG2" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_SOLLMENGE" class="java.math.BigDecimal"/>
	<field name="F_ISTMENGE" class="java.math.BigDecimal"/>
	<field name="F_SOLLPREIS" class="java.math.BigDecimal"/>
	<field name="F_LIEF1PREIS" class="java.math.BigDecimal"/>
	<field name="F_ISTPREIS" class="java.math.BigDecimal"/>
	<field name="F_WE_REFERENZ" class="java.lang.Object"/>
	<field name="F_SNRCHNR" class="java.lang.String"/>
	<field name="F_EINHEIT" class="java.lang.String"/>
	<field name="F_SUBREPORT_SNR_GSNR" class="java.lang.Object"/>
	<field name="F_LAGERORT" class="java.lang.String"/>
	<field name="F_KURZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_REFERENZNUMMER" class="java.lang.String"/>
	<field name="F_VKPREIS" class="java.math.BigDecimal"/>
	<variable name="Zebra" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$V{Zebra}.negate()]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<variable name="Hauptlager_I_ID" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select I_ID from WW_LAGER where LAGERART_C_NR = 'Hauptlager';"
)]]></variableExpression>
	</variable>
	<variable name="Lagerstand_Hauptlager" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select N_LAGERSTAND from WW_ARTIKELLAGER where "+
"ARTIKEL_I_ID=(select I_ID from WW_ARTIKEL where C_NR='"+$F{F_ARTIKELNUMMER}+"') "+
"and LAGER_I_ID="+$V{Hauptlager_I_ID}+";"
)]]></variableExpression>
	</variable>
	<variable name="Lieferantenlager_I_ID" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select LAGER_I_ID from FERT_LOSLAGERENTNAHME where LOS_I_ID="+
"(select I_ID from FERT_LOS where C_NR='"+$P{P_LOSNUMMER}+"') "+
"order by I_SORT limit 1;"
)]]></variableExpression>
	</variable>
	<variable name="Lieferantenlager" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select C_NR from WW_LAGER where I_ID = "+$V{Lieferantenlager_I_ID}+";"
)]]></variableExpression>
	</variable>
	<variable name="Lagerstand_Lieferantenlager" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select N_LAGERSTAND from WW_ARTIKELLAGER where "+
"ARTIKEL_I_ID=(select I_ID from WW_ARTIKEL where C_NR='"+$F{F_ARTIKELNUMMER}+"') "+
"and LAGER_I_ID="+$V{Lieferantenlager_I_ID}+";"
)]]></variableExpression>
	</variable>
	<variable name="LS_Angelegt" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select sum(N_MENGE) from LS_LIEFERSCHEINPOSITION where LIEFERSCHEIN_I_ID in "+
"(select I_ID from LS_LIEFERSCHEIN where ZIELLAGER_I_ID = "+$V{Lieferantenlager_I_ID}+" and LIEFERSCHEINSTATUS_C_NR='Angelegt') "+
"and ARTIKEL_I_ID=(select I_ID from WW_ARTIKEL where C_NR='"+$F{F_ARTIKELNUMMER}+"');"
)]]></variableExpression>
	</variable>
	<variable name="Bestellt" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select sum(N_MENGE) from WW_ARTIKELBESTELLT where "+
"ARTIKEL_I_ID=(select I_ID from WW_ARTIKEL where C_NR='"+$F{F_ARTIKELNUMMER}+"');"
)]]></variableExpression>
	</variable>
	<variable name="Lagerort_Hauptlager" class="java.lang.String">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select WW_LAGERPLATZ.C_LAGERPLATZ from WW_ARTIKELLAGERPLAETZE "+
"inner join WW_LAGERPLATZ on WW_ARTIKELLAGERPLAETZE.LAGERPLATZ_I_ID=WW_LAGERPLATZ.I_ID "+
"where WW_ARTIKELLAGERPLAETZE.ARTIKEL_I_ID=(select I_ID from WW_ARTIKEL where C_NR='"+$F{F_ARTIKELNUMMER}+"') "+
"and WW_LAGERPLATZ.LAGER_I_ID="+$V{Hauptlager_I_ID}+";"
)]]></variableExpression>
	</variable>
	<variable name="LISTE_Positionen" class="java.util.List">
		<variableExpression><![CDATA[($V{LISTE_Positionen} == null ? new ArrayList() : $V{LISTE_Positionen})]]></variableExpression>
	</variable>
	<variable name="LISTE_Positionen_ADD" class="java.lang.Boolean">
		<variableExpression><![CDATA[$V{LISTE_Positionen}.add(new java.lang.Object[] {
        ($V{Lagerort_Hauptlager}==null?"???":$V{Lagerort_Hauptlager})+$F{F_ARTIKELNUMMER},
        $V{Lagerort_Hauptlager},
        $F{F_ARTIKELNUMMER},
        $F{F_BEZEICHNUNG},
        $F{F_SOLLMENGE},
        $F{F_ISTMENGE},
        $V{Bestellt},
        $V{Lagerstand_Hauptlager},
        $V{Lagerstand_Lieferantenlager},
        $V{LS_Angelegt}
    }
)]]></variableExpression>
	</variable>
	<pageHeader>
		<band height="151" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Transparent" x="0" y="0" width="415" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="fab9173a-9f0b-4e96-82a9-672258b519ee"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="682" y="0" width="100" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="193feb49-d65e-400c-b3cd-d8d387680d02"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + $V{PAGE_NUMBER} + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="782" y="0" width="20" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="6254c13f-3dab-440a-9ee4-63a34bd6e3d5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Materialliste für P_LOSNUMMER" mode="Transparent" x="0" y="24" width="535" height="24" forecolor="#000000" backcolor="#FFFFFF" uuid="d2e826b3-96e4-4b89-96b4-f29f7bb4eb01"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Materialliste für Los Nr. "+$P{P_LOSNUMMER}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Produktionsstart" mode="Transparent" x="0" y="60" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="3beabac7-0240-41c2-99a3-a081263737e7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Produktionsstart]]></text>
			</staticText>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="false">
				<reportElement key="P_PRODUKTIONSBEGINN" mode="Transparent" x="80" y="60" width="171" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="167f4b4b-8b82-402b-91b8-a78e5fdb6773"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_PRODUKTIONSBEGINN}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Stückliste" mode="Transparent" x="0" y="72" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="3c956042-f651-4d2c-9ecb-bcd4628f4b61"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Stückliste]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="P_STUECKLISTENUMMER" mode="Transparent" x="80" y="72" width="455" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="000b8053-a2a9-4a35-a593-eeaefd95c3e4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTENUMMER}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="P_STUECKLISTEBEZEICHNUNG" mode="Transparent" x="80" y="84" width="455" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="47c34cfc-3314-46b7-ad26-a97e7794f5f2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTEBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="P_STUECKLISTEZUSATZBEZEICHNUNG" mode="Transparent" x="80" y="96" width="455" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="0c8014a7-d875-4221-929c-8a7879d7dee4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTEZUSATZBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Losgröße-1" mode="Transparent" x="0" y="118" width="80" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="1bd4e249-f3b0-4634-8438-d92d6432959e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Losgröße]]></text>
			</staticText>
			<textField pattern="#,##0;-#,##0" isBlankWhenNull="false">
				<reportElement key="P_LOSGROESSE" mode="Transparent" x="80" y="112" width="50" height="20" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="7bfa6297-421b-4fd2-a891-5eea737b8d4c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="16" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LOSGROESSE}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_MENGENEINHEIT" mode="Transparent" x="133" y="118" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="b250f927-dbc4-4d96-8be1-b1ad2db90a2a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MENGENEINHEIT}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_angelegteZiellagerLieferscheine" x="660" y="24" width="140" height="88" isRemoveLineWhenBlank="true" uuid="99287601-b2b3-483e-bbb6-fbe6e14d7258"/>
				<subreportParameter name="Ziellager">
					<subreportParameterExpression><![CDATA[$V{Lieferantenlager}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select C_NR, T_BELEGDATUM from LS_LIEFERSCHEIN where ZIELLAGER_I_ID = "+$V{Lieferantenlager_I_ID}+" "+
"and LIEFERSCHEINSTATUS_C_NR='Angelegt';",
new String[] {"c_nr",
"t_belegdatum"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"fert_materialliste_komm_ls.jasper").toURL()]]></subreportExpression>
			</subreport>
			<staticText>
				<reportElement key="Artikel" mode="Transparent" x="0" y="140" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="6cbe4766-04f3-481b-98b8-3edf1f426ad4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[► Artikel]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bezeichnung" mode="Transparent" x="100" y="140" width="180" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="941e37d7-eddd-4892-8f54-4bf3941803bf"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bezeichnung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Sollmenge" mode="Transparent" x="295" y="140" width="45" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="70906112-0e73-4453-90a0-94135aef4cf7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Sollmenge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Istmenge" mode="Transparent" x="340" y="140" width="47" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="957b65c6-002c-4cbc-b6aa-e6aaf185b24d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Istmenge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lagerort" mode="Transparent" x="716" y="140" width="75" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="b69c20d8-d374-49b2-9a1d-500da946e371"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Lagerort Hauptlager]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="150" width="802" height="1" uuid="98482ac6-f4e3-49d3-9f96-b8e3101eee64"/>
			</line>
			<staticText>
				<reportElement key="Offene Menge" mode="Transparent" x="390" y="140" width="47" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="cc751ec8-97f0-4d2e-86ca-76fcb2d94f4b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Offen]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bestellt" mode="Transparent" x="440" y="140" width="47" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="da296a7a-1971-4042-b8ae-6d81c7d02560"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bestellt]]></text>
			</staticText>
			<staticText>
				<reportElement key="Hauptlager" mode="Transparent" x="490" y="140" width="47" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="cc9de1d9-dcdf-4dd3-abd5-268d465326fb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Hauptlager]]></text>
			</staticText>
			<staticText>
				<reportElement key="Abbuchungslager" mode="Transparent" x="540" y="130" width="50" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="b01e3ac5-dad3-4455-891c-6022646e5b40"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Abbuchungs-lager]]></text>
			</staticText>
			<staticText>
				<reportElement key="angelegte LS" mode="Transparent" x="590" y="120" width="50" height="30" forecolor="#000000" backcolor="#FFFFFF" uuid="766ca44e-c084-4f9d-b2fd-3097ec11f045"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[davon in angelegten Lieferscheinen]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<rectangle>
				<reportElement key="rectangle-1" mode="Opaque" x="0" y="0" width="802" height="12" forecolor="#E6E6E6" backcolor="#E6E6E6" uuid="963756ee-15a5-4af3-8b25-6a2401cdf247">
					<printWhenExpression><![CDATA[new Boolean ($V{Zebra}.intValue() == 1)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zuwenig" mode="Opaque" x="0" y="0" width="802" height="12" forecolor="#FF0000" backcolor="#FF0000" uuid="85519a4c-0623-4d16-8dec-5553c127452a">
					<printWhenExpression><![CDATA[$F{F_SOLLMENGE}.doubleValue()-$F{F_ISTMENGE}.doubleValue() >
($V{Bestellt}==null?0.00:$V{Bestellt}.doubleValue())
+($V{Lagerstand_Hauptlager}==null?0.00:$V{Lagerstand_Hauptlager}.doubleValue())
+($V{Lagerstand_Lieferantenlager}==null?0.00:$V{Lagerstand_Lieferantenlager}.doubleValue())]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField pattern="" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="Ident" mode="Transparent" x="0" y="0" width="100" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="1ba12c08-7dee-43fb-ab1d-a4098f05dfd5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ARTIKELNUMMER}]]></textFieldExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{F_ARTIKELNUMMER}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Bezeichnung" mode="Transparent" x="100" y="0" width="180" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="45f3bb72-2a05-4330-9a96-dfa5fa06109a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_BEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Sollmenge" mode="Transparent" x="295" y="0" width="45" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="2f62a5c8-37a5-4b9b-81ac-b43962ad753a">
					<printWhenExpression><![CDATA[$F{F_SOLLMENGE}.compareTo(new BigDecimal(0.0000)) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_SOLLMENGE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Istmenge" mode="Transparent" x="340" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="fca9becc-f322-405f-99c3-3435ff505630">
					<printWhenExpression><![CDATA[$F{F_ISTMENGE}.compareTo(new BigDecimal(0.0000)) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ISTMENGE}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Lagerort" mode="Transparent" x="716" y="0" width="75" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="b60b597f-fea9-4c4a-8b57-ad1d393cbd7e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Lagerort_Hauptlager}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Offene Menge" mode="Transparent" x="390" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="dd4023e7-3e95-486d-8a73-626e913c3625">
					<printWhenExpression><![CDATA[$F{F_SOLLMENGE}.subtract(
$F{F_ISTMENGE}).compareTo(new BigDecimal(0.0000)) > 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_SOLLMENGE}.subtract(
$F{F_ISTMENGE})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Lager_Hauptlager" mode="Transparent" x="490" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="a44d05aa-d2b3-4192-acd3-3848d68584c8">
					<printWhenExpression><![CDATA[$V{Lagerstand_Hauptlager}.compareTo(BigDecimal.ZERO)!=0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Lagerstand_Hauptlager}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Lager_Abbuchungslager" mode="Transparent" x="540" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="f10b1780-649e-4792-aa09-8b350ab8af3f">
					<printWhenExpression><![CDATA[$V{Lagerstand_Lieferantenlager}.compareTo(BigDecimal.ZERO)!=0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Lagerstand_Lieferantenlager}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="Bestellt" mode="Transparent" x="440" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="60b27ec1-72da-40c5-835c-50d50b1d4532">
					<printWhenExpression><![CDATA[$V{Bestellt}.compareTo(BigDecimal.ZERO)!=0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Bestellt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="in angelegten LS" mode="Transparent" x="590" y="0" width="47" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="f35d3f92-299c-4fe3-a690-21952f7d1e0f">
					<printWhenExpression><![CDATA[$V{LS_Angelegt}.compareTo(BigDecimal.ZERO)!=0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LS_Angelegt}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="10" splitType="Stretch">
			<subreport>
				<reportElement key="SortiertnachHauptLagerOrt" x="0" y="0" width="802" height="10" isRemoveLineWhenBlank="true" uuid="4f13118b-22e5-47de-8e1f-1a8e291a221f"/>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortList($V{LISTE_Positionen}),
    new String[] {"Sort",
                  "Lagerort_Hauptlager",
                  "F_ARTIKELNUMMER",
                  "F_BEZEICHNUNG",
                  "F_SOLLMENGE",
                  "F_ISTMENGE",
                  "Bestellt",
                  "Lagerstand_Hauptlager",
                  "Lagerstand_Lieferantenlager",
                  "LS_Angelegt"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "fert_materialliste_komm_lo.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
